# -*- coding: utf-8 -*-
import android

class Sprachausgabe:
    """Die Klasse Sprachausgabe ermöglicht die Umwandlung von
    Text in Sprache."""

    def __init__(self, pText):
        """Auftrag [Konstruktor]: __init__
        nachher
        Die Sprachausgabe ist initialisiert.
        """
        self.__androide = android.Android()
        self.zText = pText

    def setzeText(self, pText):
        """Auftrag: setzeText(pText : Zeichenkette)
        nachher
        Der auszugebende Text wurde geändert.
        """
        self.zText = pText

    def text(self):
        """Anfrage: text : Zeichenkette
        nachher
        Gibt den zu sprechenden Text zurück.
        """
        return self.zTitel

    def sprichtNoch(self):
        """Anfrage: sprichtNoch : bool
        nachher
        Liefert True, wenn die Sprachausgabe noch läuft,
        sonst False.
        """
        return self.__androide.ttsIsSpeaking().result

    def sprich(self):
        """Auftrag: sprich
        nachher
        Spricht den eingestellten Text.
        """
        self.__androide.ttsSpeak(self.zText)
